Bug 120345 - [maintainer-update] security/klamav: Update to 0.42
Summary: [maintainer-update] security/klamav: Update to 0.42
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-02-07 13:20 UTC by Anderson S. Ferreira
Modified: 2008-02-16 10:00 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Anderson S. Ferreira 2008-02-07 13:20:03 UTC
Klamav update from 0.41.1 to 0.42

Fix: 

---
Aviso de confidencialidade:

- Esta mensagem da Empresa Brasileira de Pesquisa Agropecuária (Embrapa), empresa pública federal regida pelo disposto na Lei Federal nº 5.851, de 7 de dezembro de 1972, é enviada exclusivamente a seu destinatário e pode conter informações confidenciais, protegidas por sigilo profissional. Sua utilização desautorizada é ilegal e sujeita o infrator às penas da lei. Se você a recebeu indevidamente, queira, por gentileza, reenviá-la ao emitente, esclarecendo o equívoco.

Confidentiality note:

- "This message from Empresa Brasileira de Pesquisa Agropecuária (Embrapa), a government company established under Brazilian law (5.851/72), is directed exclusively to its addressee and may contain confidential data, protected under professional secrecy rules. Its unauthorized use is illegal and may subject the transgressor to the law's penalties. If you are not the addressee, please send it back, elucidating the failure".--C5cccOuazLihGs1HJtYkp8sZE3xKJOTFR70WHCJiPWZaWicY
Content-Type: text/plain; name="klamav.patch"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="klamav.patch"

diff -Nru klamav/Makefile klamav/Makefile
--- klamav/Makefile	2008-01-07 23:13:36.000000000 -0200
+++ klamav/Makefile	2008-02-07 09:25:49.000000000 -0200
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	klamav
-PORTVERSION=	0.41.1
+PORTVERSION=	0.42
 CATEGORIES=	security
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=	klamav
diff -Nru klamav/distinfo klamav/distinfo
--- klamav/distinfo	2008-01-07 23:13:36.000000000 -0200
+++ klamav/distinfo	2008-02-07 09:28:31.000000000 -0200
@@ -1,3 +1,4 @@
-MD5 (klamav-0.41.1-source.tar.gz) = 073c3f223d89016c14bab957230ac3b7
-SHA256 (klamav-0.41.1-source.tar.gz) = a57609a7948526bcd0f5b104acb77aa41b86263ebb7d9f93cd46443e2c244344
-SIZE (klamav-0.41.1-source.tar.gz) = 1784785
+SIZE (klamav-0.42-source.tar.gz) = 1920149
+MD5 (klamav-0.42-source.tar.gz) = 4cf95f5e9d8a215f2cd2c312612811f6
+SHA256 (klamav-0.42-source.tar.gz) = 3dd03c802a24d0fe033bdd7f27ec77b2fd5c9aedf18ebec30cee801e36966ca7
+
diff -Nru klamav/files/patch-po klamav/files/patch-po
--- klamav/files/patch-po	2008-01-04 16:24:53.000000000 -0200
+++ klamav/files/patch-po	2008-02-07 09:52:58.000000000 -0200
@@ -1,5 +1,5 @@
---- po/cs.po.orig	Tue Mar  6 11:34:52 2007
-+++ po/cs.po	Tue Mar  6 11:36:11 2007
+--- po/cs.po.orig	2008-02-07 09:48:19.000000000 -0200
++++ po/cs.po	2008-02-07 09:49:13.000000000 -0200
 @@ -987,12 +987,12 @@
  "I need to load a module called 'dazuko' first. This module will allow KlamAV "
  "to gain real-time access to files. If you don't want this message to appear "
@@ -15,8 +15,8 @@
  
  #: klamd.cpp:734 klamd.cpp:735
  msgid "Load Module"
---- po/de.po.orig	Tue Mar  6 11:34:52 2007
-+++ po/de.po	Tue Mar  6 11:36:32 2007
+--- po/de.po.orig	2008-02-07 09:48:19.000000000 -0200
++++ po/de.po	2008-02-07 09:49:19.000000000 -0200
 @@ -985,7 +985,7 @@
  "I need to load a module called 'dazuko' first. This module will allow KlamAV "
  "to gain real-time access to files. If you don't want this message to appear "
@@ -26,8 +26,8 @@
  msgstr ""
  "Es muà das Modul mit dem Namen \"dazuko\" geladen werden. Dies ermöglicht "
  "einen verbesserten Zugriffn auf die Datein. Wenn sie nicht möchten, dass "
---- po/es.po.orig	Tue Mar  6 11:34:52 2007
-+++ po/es.po	Tue Mar  6 11:36:53 2007
+--- po/es.po.orig	2008-02-07 09:48:19.000000000 -0200
++++ po/es.po	2008-02-07 09:49:59.000000000 -0200
 @@ -991,12 +991,12 @@
  "I need to load a module called 'dazuko' first. This module will allow KlamAV "
  "to gain real-time access to files. If you don't want this message to appear "
@@ -43,8 +43,8 @@
  
  #: klamd.cpp:734 klamd.cpp:735
  msgid "Load Module"
---- po/fr.po.orig	Tue Mar  6 11:34:52 2007
-+++ po/fr.po	Tue Mar  6 11:38:07 2007
+--- po/fr.po.orig	2008-02-07 09:48:19.000000000 -0200
++++ po/fr.po	2008-02-07 09:50:08.000000000 -0200
 @@ -1018,8 +1018,8 @@
  msgstr "Il y a eu un problème au moment de détecter l'état de 'dazuko'."
  
@@ -56,8 +56,8 @@
  
  #: klamd.cpp:734
  #: klamd.cpp:735
---- po/hu.po.orig	Tue Mar  6 11:34:52 2007
-+++ po/hu.po	Tue Mar  6 11:39:07 2007
+--- po/hu.po.orig	2008-02-07 09:48:19.000000000 -0200
++++ po/hu.po	2008-02-07 09:50:14.000000000 -0200
 @@ -983,12 +983,12 @@
  "I need to load a module called 'dazuko' first. This module will allow KlamAV "
  "to gain real-time access to files. If you don't want this message to appear "
@@ -73,19 +73,21 @@
  "jelszót meg kell adni."
  
  #: klamd.cpp:734 klamd.cpp:735
---- po/it.po.orig	Tue Mar  6 11:34:52 2007
-+++ po/it.po	Tue Mar  6 11:39:49 2007
-@@ -972,7 +972,7 @@
+--- po/it.po.orig	2008-02-07 09:48:19.000000000 -0200
++++ po/it.po	2008-02-07 09:50:19.000000000 -0200
+@@ -962,8 +962,8 @@
  "I need to load a module called 'dazuko' first. This module will allow KlamAV "
  "to gain real-time access to files. If you don't want this message to appear "
  "in future, put the following command in your initialization scripts: "
 -"'modprobe dazuko.o'. You will next be asked for the root password."
+-msgstr "Necessiti dapprima di caricare un modulo chiamato 'dazuko'. Questo modulo permetterà a KlamAv di avere funzionalità 'real time' per l'accesso ai file. Se vuoi che questo messaggio non appaia più in futuro, importa il seguente comando nello script di inizializzazione: 'modprobe dazuko.o'. Per compiere questa azione ti verrà chiesta la password di amministratore."
 +"'kldload dazuko.ko'. You will next be asked for the root password."
- msgstr ""
++msgstr "Necessiti dapprima di caricare un modulo chiamato 'dazuko'. Questo modulo permetterà a KlamAv di avere funzionalità 'real time' per l'accesso ai file. Se vuoi che questo messaggio non appaia più in futuro, importa il seguente comando nello script di inizializzazione: 'kldload dazuko.ko'. Per compiere questa azione ti verrà chiesta la password di amministratore."
  
  #: klamd.cpp:734 klamd.cpp:735
---- po/pl.po.orig	Tue Mar  6 11:34:52 2007
-+++ po/pl.po	Tue Mar  6 11:40:20 2007
+ msgid "Load Module"
+--- po/pl.po.orig	2008-02-07 09:48:19.000000000 -0200
++++ po/pl.po	2008-02-07 09:50:37.000000000 -0200
 @@ -988,12 +988,12 @@
  "I need to load a module called 'dazuko' first. This module will allow KlamAV "
  "to gain real-time access to files. If you don't want this message to appear "
@@ -101,8 +103,8 @@
  "chwilÄ pojawi siÄ pytanie o hasÅo administratora."
  
  #: klamd.cpp:734 klamd.cpp:735
---- po/pt_BR.po.orig	Tue Mar  6 11:34:52 2007
-+++ po/pt_BR.po	Tue Mar  6 11:40:44 2007
+--- po/pt_BR.po.orig	2008-02-07 09:48:19.000000000 -0200
++++ po/pt_BR.po	2008-02-07 09:50:44.000000000 -0200
 @@ -1046,12 +1046,12 @@
  "I need to load a module called 'dazuko' first. This module will allow KlamAV "
  "to gain real-time access to files. If you don't want this message to appear "
@@ -118,8 +120,8 @@
  "função."
  
  #: klamd.cpp:734 klamd.cpp:735
---- po/ru.po.orig	Tue Mar  6 11:34:52 2007
-+++ po/ru.po	Tue Mar  6 11:41:18 2007
+--- po/ru.po.orig	2008-02-07 09:48:19.000000000 -0200
++++ po/ru.po	2008-02-07 09:50:49.000000000 -0200
 @@ -986,7 +986,7 @@
  "I need to load a module called 'dazuko' first. This module will allow KlamAV "
  "to gain real-time access to files. If you don't want this message to appear "
@@ -129,8 +131,8 @@
  msgstr ""
  "ÐеобÑодимо запÑÑÑиÑÑ Ð¼Ð¾Ð´ÑлÑ, назÑваемÑй dazuko. ЭÑÐ¾Ñ Ð¼Ð¾Ð´ÑÐ»Ñ ÑазÑеÑÐ¸Ñ KlamAV "
  "полÑÑаÑÑ Ð´Ð¾ÑÑÑп в ÑеалÑном вÑемени к Ñайлам. Ðалее ÐÐ°Ñ Ð¿Ð¾Ð¿ÑоÑÑÑ Ð²Ð²ÐµÑÑи "
---- po/zh_CN.po.orig	Tue Mar  6 11:34:52 2007
-+++ po/zh_CN.po	Tue Mar  6 11:41:44 2007
+--- po/zh_CN.po.orig	2008-02-07 09:48:19.000000000 -0200
++++ po/zh_CN.po	2008-02-07 09:51:14.000000000 -0200
 @@ -960,7 +960,7 @@
  "I need to load a module called 'dazuko' first. This module will allow KlamAV "
  "to gain real-time access to files. If you don't want this message to appear "
diff -Nru klamav/files/patch-src__klamd__scanner.c klamav/files/patch-src__klamd__scanner.c
--- klamav/files/patch-src__klamd__scanner.c	2008-01-04 16:24:53.000000000 -0200
+++ klamav/files/patch-src__klamd__scanner.c	1969-12-31 21:00:00.000000000 -0300
@@ -1,11 +0,0 @@
---- src/klamd/scanner.c.orig	2007-12-19 08:33:50.000000000 -0200
-+++ src/klamd/scanner.c	2007-12-19 08:36:04.000000000 -0200
-@@ -396,7 +396,7 @@
- 
-     logg("*Accepted connection on port %d, fd %d\n", port, acceptd);
- 
--    if ((tmpname = cli_gentempdesc(NULL, &tmpd)) == NULL) {
-+    if (cli_gentempfd(NULL, &tmpname, &tmpd) ) {
- 	shutdown(sockfd, 2);
- 	close(sockfd);
- 	close(acceptd);
diff -Nru klamav/files/patch-src__klamd__scanner.h klamav/files/patch-src__klamd__scanner.h
--- klamav/files/patch-src__klamd__scanner.h	2008-01-04 16:24:53.000000000 -0200
+++ klamav/files/patch-src__klamd__scanner.h	1969-12-31 21:00:00.000000000 -0300
@@ -1,9 +0,0 @@
---- src/klamd/scanner.h.orig	2007-12-19 08:34:32.000000000 -0200
-+++ src/klamd/scanner.h	2007-12-19 08:34:52.000000000 -0200
-@@ -33,4 +33,6 @@
- 
- int checksymlink(const char *path);
- 
-+extern int cli_gentempfd(const char *dir, char **name, int *fd);
-+
- #endif
diff -Nru klamav/pkg-plist klamav/pkg-plist
--- klamav/pkg-plist	2006-06-06 14:49:06.000000000 -0300
+++ klamav/pkg-plist	2008-02-07 10:09:35.000000000 -0200
@@ -1,5 +1,4 @@
 bin/klammail
-bin/klamd
 bin/klamarkollon
 bin/ScanWithKlamAV
 %%DOCSDIR%%/index.docbook
Comment 1 dfilter service freebsd_committer 2008-02-16 09:55:43 UTC
miwi        2008-02-16 09:55:39 UTC

  FreeBSD ports repository

  Modified files:
    security/klamav      Makefile distinfo pkg-plist 
    security/klamav/files patch-po 
  Removed files:
    security/klamav/files patch-src__klamd__scanner.c 
                          patch-src__klamd__scanner.h 
  Log:
  - Update to 0.42
  
  PR:             120345
  Submitted by:   Anderson S. Ferreira <anderson@cnpm.embrapa.br> (maintainer)
  
  Revision  Changes    Path
  1.12      +1 -1      ports/security/klamav/Makefile
  1.7       +3 -3      ports/security/klamav/distinfo
  1.4       +24 -22    ports/security/klamav/files/patch-po
  1.2       +0 -11     ports/security/klamav/files/patch-src__klamd__scanner.c (dead)
  1.2       +0 -9      ports/security/klamav/files/patch-src__klamd__scanner.h (dead)
  1.6       +0 -1      ports/security/klamav/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 2 Martin Wilke freebsd_committer 2008-02-16 09:55:48 UTC
State Changed
From-To: open->closed

Committed. Thanks!